Cubism Components 업데이트

[마지막 갱신일: 2021/11/25]

이 절에서는 [SDK 가져오기 ~ 모델 배치]를 수행한 Unity 프로젝트를 최신 패키지로 바꾸는 방법을 설명합니다.

 

 

개요

Cubism SDK의 취득은 패키지와 GitHub의 두 종류가 있습니다.

패키지에는, 그 패키지 공개시의 최신의 Core 라이브러리와 CubismComponents, 및 그것들을 이용한 샘플이 포함되어 있습니다.

Cubism SDK 업데이트를 GitHub에서 Unity 프로젝트로 업데이트를 적용하려면 아래에 설명된 단계를 수행합니다.

아직 Unity에 익숙하지 않은 경우 업데이트 전에 프로젝트를 백업해 두십시오.

 

Tips

SDK 업데이트는 최신 .unitypackage를 덮어쓰기 가져오기할 수 있습니다.
이 때 라이브러리를 업데이트할 수 없으며 덮어쓰기 가져오기가 실패할 수 있습니다.
그 대응에 대해서는 Cubism SDK Manual의 「FAQ」를 참조하십시오.

 

최신 패키지 받기

Cubism SDK 다운로드 페이지에서 최신 패키지를 가져옵니다.

 

Unity 프로젝트에 최신 패키지 적용

기존 Unity 프로젝트를 덮어 쓸 때 Unity 측에서 Cubism Core를 계속 사용하여 업데이트 할 수 없는 경우가 있습니다.

이 경우 다음 절차에 따라 업데이트를 수행합니다.

  1. 현재 사용중인 씬을 모두 저장합니다.
  2. 저장이 완료되면 「Ctrl+N」 등으로 새 씬을 만듭니다.
  3. 새 장면이 생성된 상태에서 Unity를 다시 시작합니다.
  4. Unity가 시작되면 최신 패키지를 덮어씁니다.

덮어쓰기 후 컴파일 오류가 발생하지 않으면 Unity 프로젝트의 Cubism SDK 업데이트가 완료됩니다.

이 시점에서 컴파일 오류가 발생하면 다음과 같은 원인이 발생할 수 있습니다.

  • 패키지에 포함된 클래스 자체를 사용자 정의합니다.
  • 패키지에 추가된 클래스와 같은 이름의 클래스가 이미 프로젝트에 있습니다.

 

Tips

2019/08/01 에 공개했습니다 Cubism 4 SDK for Unity beta13부터 Cubism SDK는 Cubism 4.0을 지원했습니다.

Cubism 4 편집기에서 내보내는 내장 데이터의 형식은 기존과 마찬가지로 .moc3이지만 마스크 반전과 같은 추가된 기능과 하위 호환성이 없기 때문에 Cubism 4 방식의 .moc3을 Cubism 3 SDK로 로드할 수 없습니다.
반대로 Cubism 4 SDK는 Cubism 3 형식의 .moc3을 로드할 수 있습니다.
이상에서 앞으로 프로젝트를 만들려면 Cubism 4 SDK를 사용하는 것이 좋습니다.

  Cubism SDK ver
Cubism 3 Cubism 4

.moc3 ver

Cubism 3
Cubism 4 ×

© 2010 - 2022 Live2D Inc.